#include <bits/stdc++.h>
#define all(x) (x).begin(),(x).end()
#define ll long long
using namespace std;
int nxt(){
    int x;
    cin>>x;
    return x;
}
int aps(int x){
    if(x<0) x=-x;
    return x;
}
int main()
{
    int n;
    ll x;
    cin>>n;
    vector< pair<double, ll> > a(n);
    double y;
    for(int i=0; i<n; i++){
        cin>>x>>y;
        a[i]=make_pair(y, x);
    }
    sort(all(a));
    vector<ll> s(n, 0);
    s[n-1]=a[n-1].second;
    for(int i=n-2; i>=0; i--){
        s[i]=s[i+1]+a[i].second;
    }
    double m=0.0;
    for(int i=0; i<n; i++){
        y=a[i].first/100.0*double(s[i]);
        m=max(m, y);
    }
    printf("%.4f", m);
    return 0;
}